package com.example.newupload.view.mainPage;

import androidx.appcompat.app.AppCompatActivity;

import android.Manifest;
import android.os.Bundle;

import com.example.newupload.R;
import com.example.newupload.module.permission.PermissionsActivity;
import com.example.newupload.module.permission.PermissionsChecker;

public class MainPageActivity extends AppCompatActivity {

    private final static int ASK_PERMISSION_CODE = 1;
    private String mode = "";
    private final String[] permission = new String[]{
            Manifest.permission.WRITE_EXTERNAL_STORAGE
    };
    private PermissionsChecker mPermissionsChecker;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_page);

        mPermissionsChecker = new PermissionsChecker(this);
//        getBundle();
        init();
    }

    private void getBundle() {
        Bundle whichMode = getIntent().getExtras();
        if (null != whichMode) {
//            mode = whichMode.getString(AlarmConstantManager.INTENT_MODE, "");
        }
    }
    private void init(){
        if (mPermissionsChecker.missingPermissions(permission)){
            PermissionsActivity.startPermissionsForResult(this, ASK_PERMISSION_CODE, permission);
        }
    }

}
